Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.core.ext.linker
Class GeneratedResource

    java.lang.Object
      com.google.gwt.core.ext.linker.Artifact<EmittedArtifact>
          com.google.gwt.core.ext.linker.EmittedArtifact
              com.google.gwt.core.ext.linker.GeneratedResource

All Implemented Interfaces:
  java.lang.Comparable<Artifact<?>>

    public abstract class GeneratedResource

extends EmittedArtifact

A resource created by a `Generator` invoking `GeneratorContext.tryCreateResource(com.google.gwt.core.ext.TreeLogger, String)` during the compilation process.

Constructor Summary
`protected` | `GeneratedResource(java.lang.Class<? extends Linker> linkerType, java.lang.Class<? extends Generator> generatorType, java.lang.String partialPath)`

Method Summary
`java.lang.Class<? extends Generator>` | `getGenerator()` The type of Generator that created the resource.

Methods inherited from class com.google.gwt.core.ext.linker.EmittedArtifact
`compareToComparableArtifact, getComparableArtifactType, getContents, getPartialPath, hashCode, isPrivate, setPrivate, toString`

Methods inherited from class com.google.gwt.core.ext.linker.Artifact
`compareTo, equals, getLinker`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GeneratedResource

    protected GeneratedResource(java.lang.Class<? extends Linker> linkerType,
                                java.lang.Class<? extends Generator> generatorType,
                                java.lang.String partialPath)

Method Detail

### getGenerator

    public final java.lang.Class<? extends Generator> getGenerator()

  The type of Generator that created the resource.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD